GDB (xrefs)

Public Member Functions | List of all members
target_float_ops Class Referenceabstract
Inheritance diagram for target_float_ops:

## Public Member Functions
virtual std::string | to_string (const gdb_byte *addr, const struct type *type, const char *format) const =0
virtual bool | from_string (gdb_byte *addr, const struct type *type, const std::string &string) const =0
virtual LONGEST | to_longest (const gdb_byte *addr, const struct type *type) const =0
virtual void | from_longest (gdb_byte *addr, const struct type *type, LONGEST val) const =0
virtual void | from_ulongest (gdb_byte *addr, const struct type *type, ULONGEST val) const =0
virtual double | to_host_double (const gdb_byte *addr, const struct type *type) const =0
virtual void | from_host_double (gdb_byte *addr, const struct type *type, double val) const =0
virtual void | convert (const gdb_byte *from, const struct type *from_type, gdb_byte *to, const struct type *to_type) const =0
virtual void | binop (enum exp_opcode opcode, const gdb_byte *x, const struct type *type_x, const gdb_byte *y, const struct type *type_y, gdb_byte *res, const struct type *type_res) const =0
virtual int | compare (const gdb_byte *x, const struct type *type_x, const gdb_byte *y, const struct type *type_y) const =0

## Detailed Description

Definition at line 34 of file target-float.c.

## Member Function Documentation

## ◆ binop()

virtual void target_float_ops::binop | ( | enum exp_opcode | opcode,
|  | const gdb_byte * | x,
|  | const struct type * | type_x,
|  | const gdb_byte * | y,
|  | const struct type * | type_y,
|  | gdb_byte * | res,
|  | const struct type * | type_res
| ) |  | const
| pure virtual

Implemented in decimal_float_ops, mpfr_float_ops, and host_float_ops< T >.

Referenced by target_float_binop().

## ◆ compare()

virtual int target_float_ops::compare | ( | const gdb_byte * | x,
|  | const struct type * | type_x,
|  | const gdb_byte * | y,
|  | const struct type * | type_y
| ) |  | const
| pure virtual

Implemented in decimal_float_ops, mpfr_float_ops, and host_float_ops< T >.

Referenced by target_float_compare().

## ◆ convert()

virtual void target_float_ops::convert | ( | const gdb_byte * | from,
|  | const struct type * | from_type,
|  | gdb_byte * | to,
|  | const struct type * | to_type
| ) |  | const
| pure virtual

Implemented in decimal_float_ops, mpfr_float_ops, and host_float_ops< T >.

Referenced by target_float_convert().

## ◆ from_host_double()

virtual void target_float_ops::from_host_double | ( | gdb_byte * | addr,
|  | const struct type * | type,
|  | double | val
| ) |  | const
| pure virtual

Implemented in decimal_float_ops, mpfr_float_ops, and host_float_ops< T >.

Referenced by target_float_from_host_double().

## ◆ from_longest()

virtual void target_float_ops::from_longest | ( | gdb_byte * | addr,
|  | const struct type * | type,
|  | LONGEST | val
| ) |  | const
| pure virtual

Implemented in decimal_float_ops, mpfr_float_ops, and host_float_ops< T >.

Referenced by target_float_from_longest().

## ◆ from_string()

virtual bool target_float_ops::from_string | ( | gdb_byte * | addr,
|  | const struct type * | type,
|  | const std::string & | string
| ) |  | const
| pure virtual

Implemented in decimal_float_ops, mpfr_float_ops, and host_float_ops< T >.

Referenced by target_float_from_string().

## ◆ from_ulongest()

virtual void target_float_ops::from_ulongest | ( | gdb_byte * | addr,
|  | const struct type * | type,
|  | ULONGEST | val
| ) |  | const
| pure virtual

Implemented in decimal_float_ops, mpfr_float_ops, and host_float_ops< T >.

Referenced by target_float_from_ulongest().

## ◆ to_host_double()

virtual double target_float_ops::to_host_double | ( | const gdb_byte * | addr,
|  | const struct type * | type
| ) |  | const
| pure virtual

Implemented in decimal_float_ops, mpfr_float_ops, and host_float_ops< T >.

Referenced by target_float_to_host_double().

## ◆ to_longest()

virtual LONGEST target_float_ops::to_longest | ( | const gdb_byte * | addr,
|  | const struct type * | type
| ) |  | const
| pure virtual

Implemented in decimal_float_ops, mpfr_float_ops, and host_float_ops< T >.

Referenced by target_float_to_longest().

## ◆ to_string()

virtual std::string target_float_ops::to_string | ( | const gdb_byte * | addr,
|  | const struct type * | type,
|  | const char * | format
| ) |  | const
| pure virtual

Implemented in decimal_float_ops, mpfr_float_ops, and host_float_ops< T >.

Referenced by target_float_to_string().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/target-float.c